Bug 76127 - Internal service daytime/tcp do no longer close connection
Internal service daytime/tcp do no longer close connection
Status: CLOSED DUPLICATE of bug 76146
Product: Red Hat Linux
Classification: Retired
Component: xinetd (Show other bugs)
7.3
i386 Linux
high Severity medium
: ---
: ---
Assigned To: Trond Eivind Glomsrxd
Brock Organ
: Security
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-10-17 04:28 EDT by Peter Bieringer
Modified: 2007-03-26 23:57 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-10-18 10:51:16 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Peter Bieringer 2002-10-17 04:28:15 EDT
Description of problem:
Earlier versions closes connections (old inetd does this, too) by server on
tcp/daytime

Version-Release number of selected component (if applicable):
Tested: xinetd-2.3.9 on RHL 7.2, 6.2 and 7.3


How reproducible:
Always

Steps to Reproduce:
1. Update to xinetd-2.3.9
2. Enable tcp/daytime
3. telnet localhost daytime
	

Actual Results:  # telnet localhost 13
Trying 127.0.0.1...
Connected to localhost.
Escape character is '^]'.
17 OCT 2002 10:13:08 CEST
                           
(nothing happen here)

Expected Results:  # telnet localhost 13
Trying 127.0.0.1...
Connected to localhost.
Escape character is '^]'.
17 OCT 2002 10:18:21 CEST
Connection closed by foreign host.   

Additional info:

This was tested on RHL 7.2, 7.3 and 6.2 (rebuilded 2.3.9)
old 2.3.3 was ok and shows same as old inetd (on RHL 6.2)

Why was this behavior changed?
BTW: could lead to many open sockets, perhaps a candidate for a DoS?
Comment 1 Need Real Name 2002-10-18 10:25:01 EDT
This does lead to DoS.  I have ~15 computers hitting daytime every 5 minutes. 
After about a 12 hours, connections are no longer accepted and my message log
starts seeing "too many open files"

Oct 18 08:58:35 fmymca xinetd[31399]: service imap, accept: Too many open files
(errno = 24)
Oct 18 08:58:35 fmymca xinetd[31399]: service time-stream, accept: Too many open
files (errno = 24)
Oct 18 08:58:41 fmymca xinetd[31399]: service imap, accept: Too many open files
(errno = 24)
Oct 18 08:58:41 fmymca xinetd[31399]: service time-stream, accept: Too many open
files (errno = 24)
Oct 18 08:59:29 fmymca xinetd[31399]: service time-stream, accept: Too many open
files (errno = 24)
Oct 18 08:59:47 fmymca xinetd[31399]: service time-stream, accept: Too many open
files (errno = 24)
Oct 18 08:59:57 fmymca xinetd[31399]: service imap, accept: Too many open files
(errno = 24)
Oct 18 08:59:57 fmymca xinetd[31399]: service time-stream, accept: Too many open
files (errno = 24)
Oct 18 09:00:01 fmymca xinetd[31399]: service time-stream, accept: Too many open
files (errno = 24)
Oct 18 09:00:01 fmymca xinetd[31399]: service time-stream, accept: Too many open
files (errno = 24)
Oct 18 09:00:01 fmymca xinetd[31399]: service time-stream, accept: Too many open
files (errno = 24)
Oct 18 09:00:04 fmymca xinetd[31399]: service telnet, accept: Too many open
files (errno = 24)
Comment 2 Peter Bieringer 2002-10-18 10:51:10 EDT
I've increased priority because of the reported DoS, looks like this bug should be fixed really quickly by RHL and/or the xinetd developers.
Comment 3 Milan Kerslager 2002-10-25 04:33:31 EDT
There is more info on this bug in #76146. So marked it as duplicate.

*** This bug has been marked as a duplicate of 76146 ***

Note You need to log in before you can comment on or make changes to this bug.